KCMAP_GET_RGB_VALUES(3)

FUNCTION
kcmap_get_rgb_values - Get colour data from a colourmap.

SYNOPSIS
#include <karma_kcmap.h>

unsigned short * kcmap_get_rgb_values

(Kcolourmap cmap, unsigned int *size)

DESCRIPTION
This routine will return the RGB values in a colourmap. The colour values are arranged in packets of Red, Green and Blue values.

cmap
    The colourmap object.

size
    The routine will write the size of the colourmap here. This may be NULL.

RETURN VALUE
A pointer to a dynamically allocated array. This must be freed with <-m_free->. On failure it returns NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/